org.apache.sysds.runtime.controlprogram.parfor.opt

## Enum OptNode.NodeType

- java.lang.Object
- - java.lang.Enum<OptNode.NodeType>
  - - org.apache.sysds.runtime.controlprogram.parfor.opt.OptNode.NodeType

All Implemented Interfaces:
  Serializable, Comparable<OptNode.NodeType>

Enclosing class:
  OptNode

    public static enum OptNode.NodeType
    extends Enum<OptNode.NodeType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FOR`
`FUNCCALL`
`GENERIC`
`HOP`
`IF`
`INST`
`PARFOR`
`WHILE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isLoop()`
`static OptNode.NodeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OptNode.NodeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GENERIC

    public static final OptNode.NodeType GENERIC

#### FUNCCALL

    public static final OptNode.NodeType FUNCCALL

#### IF

    public static final OptNode.NodeType IF

#### WHILE

    public static final OptNode.NodeType WHILE

#### FOR

    public static final OptNode.NodeType FOR

#### PARFOR

    public static final OptNode.NodeType PARFOR

#### INST

    public static final OptNode.NodeType INST

#### HOP

    public static final OptNode.NodeType HOP

### Method Detail

#### values

    public static OptNode.NodeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OptNode.NodeType c : OptNode.NodeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OptNode.NodeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isLoop

    public boolean isLoop()